( function() {

var PlinnStylesCombo = function(editor) {
	this.label = 'Styles';
	this.title = 'CSS Styles';
	this.toolbar = 'styles,10';
	this.panel = {
		css : [CKEDITOR.skin.getPath( 'editor' )].concat(editor.config.contentsCss),
		multiSelect : true,
		attributes : {'aria-label': this.title}
	};
};


var PlinnStylePlugin = function() {
	this.requires = 'richcombo';
};

PlinnStylePlugin.prototype.init = function(editor) {
	var psc = new PlinnStylesCombo(editor);
	editor.ui.addRichCombo('PlinnStyles', psc);
	editor.on('stylesSet', this.onStylesSet);
};

PlinnStylePlugin.prototype.onStylesSet = function(evt) {
	var stylesDefinitions = evt.data.styles;
	if (!stylesDefinitions) { return; }
	
};


// main
CKEDITOR.plugins.add( 'plinn_styles', new PlinnStylePlugin());

} )();
